Bug 55663 - Incorrect text in NOTICE file
Incorrect text in NOTICE file
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
PC Windows XP
: P2 major (vote)
: ----
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2013-10-17 16:52 UTC by Sebb
Modified: 2013-11-07 11:20 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2013-10-17 16:52:22 UTC
The NOTICE file in Tomcat trunk (and 7.x and 6.x) uses the wrong wording.

The 4th line should say [1][2]:

This product includes software developed at

however it actually says:

This product includes software developed by

which is not the same thing.

[Note that AL 1.0 and 1.1 did use the "developed by" wording; maybe that is the origin of the problem.]

[1] http://www.apache.org/legal/src-headers.html#notice
[2] http://www.apache.org/dev/release.html#notice-require
Comment 1 Violeta Georgieva 2013-10-18 12:01:13 UTC
Fixed in trunk and 7.0.x and will be included in 8.0.0-RC6 and 7.0.47 onwards.
Moving to Tomcat 6.

Comment 2 Mark Thomas 2013-11-07 09:58:42 UTC
Fixed in 6.0.x for 6.0.38 onwards.
Comment 3 Konstantin Kolinko 2013-11-07 11:20:04 UTC
Fixed in Tomcat Native trunk and 1.1.x.

Tomcat Connectors (mod_jk) already use the correct text.